> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List refunds

> Retrieves a list of refunds



## OpenAPI

````yaml /openapi.yaml get /refund/list
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /refund/list:
    get:
      tags:
        - refund
      summary: List refunds
      description: Retrieves a list of refunds
      operationId: listRefunds
      parameters:
        - in: query
          name: created_at.after
          description: >-
            Return refunds created after this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: created_at.before
          description: >-
            Return refunds created before this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: status
          description: Return refunds which match the provided statuses.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/RefundStatus'
        - in: query
          name: cursor
          description: The cursor for the next page of results to fetch
          required: false
          schema:
            type: string
            example: vjl8vk3l4o8dhsjlzh==
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Refund'
                  next_cursor:
                    $ref: '#/components/schemas/Cursor'
                required:
                  - data
                  - next_cursor
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    RefundStatus:
      type: string
      description: The status of the refund
      enum:
        - approved
        - declined
      x-enumDescriptions:
        approved: The refund was successfully processed
        declined: The refund was declined
    Refund:
      type: object
      description: A refund issued against an approved intent
      example:
        id: refund_28CJjV7P4Go5PNJvfzghiD
        intent_id: intent_sandbox_dMggQ93ZYH6DH9LBhVeijE
        amount: 1450
        currency: USD
        status: approved
        created_at: '2023-05-24T20:36:50.694Z'
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        intent_id:
          type: string
          description: The intent which corresponds to the refund
        amount:
          type: integer
          description: >-
            Amount of the refund in the smallest unit of specified currency (ie
            if currency is USD, the unit would be cents)
        currency:
          $ref: '#/components/schemas/Currency'
        status:
          $ref: '#/components/schemas/RefundStatus'
        created_at:
          type: string
          format: date-time
          description: When the refund was created (ISO 8601 date string)
      required:
        - id
        - intent_id
        - amount
        - currency
        - status
        - created_at
    Cursor:
      type: string
      nullable: true
      description: >
        Use cursor for paginating list endpoints in conjunction with the cursor
        request parameter. 


        In a response, the value is null if there are no more results to fetch.
      example: vjl8vk3l4o8dhsjlzh==
    error:
      description: Description of the error encountered from the API request
      type: object
    Currency:
      type: string
      description: Currency associated with the amount
      enum:
        - USD
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````